> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/kr/id-iam/api-scim/api/service-provider-config.md).

# 서비스 제공자 구성

### 개요

The `/ServiceProviderConfig` 엔드포인트는 SCIM 서비스가 지원하는 기능에 대한 메타데이터를 제공합니다.

Okta나 Microsoft Azure Active Directory와 같은 ID 제공자는 이 엔드포인트를 사용하여 다음을 확인합니다:

* 지원되는 작업(예: PATCH)
* 필터링 기능
* 인증 방법
* 대량 작업 지원

***

### 엔드포인트

```bash
GET /ServiceProviderConfig
```

***

### 전체 URL

```bash
https://api.ggwp.com/scim/v2/ServiceProviderConfig
```

***

### 인증

Bearer 토큰 필요:

```http
Authorization: Bearer <access_token>
```

***

### 응답

### 성공(200 OK)

```json
{
  "data": {
    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"],
    "patch": {
      "supported": true
    },
    "bulk": {
      "supported": false,
      "maxOperations": 0,
      "maxPayloadSize": 0
    },
    "filter": {
      "supported": false,
      "maxResults": 0
    },
    "changePassword": {
      "supported": false
    },
    "sort": {
      "supported": false
    },
    "etag": {
      "supported": false
    },
    "authenticationSchemes": [
      {
        "type": "oauthbearertoken",
        "name": "Bearer Token",
        "description": "정적 베어러 토큰 인증입니다. 토큰은 GGWP에서 제공합니다.",
        "specUri": "https://www.rfc-editor.org/rfc/rfc6750",
        "primary": true
      }
    ]
  },
  "message": "성공"
}
```

***

### 응답 필드 설명

#### schemas

* 이 응답의 SCIM 스키마 식별자

***

#### patch

```json
"patch": { "supported": true }
```

* PATCH 작업이 지원됨을 나타냅니다
* 대부분의 IdP와의 호환성을 위해 필요합니다

***

### bulk

```json
"bulk": { "supported": false }
```

* 대량 작업은 지원되지 않습니다

***

### filter

```json
"filter": {
    "supported": false,
    "maxResults": 0
}
```

* 필터링은 지원되지 않습니다
* `maxResults` 요청당 최대 결과 수를 정의합니다

***

### changePassword

```json
"changePassword": { "supported": false }
```

* SCIM을 통한 비밀번호 변경은 지원되지 않습니다

***

### sort

```json
"sort": { "supported": false }
```

* 정렬은 지원되지 않습니다

***

### etag

```json
"etag": { "supported": false }
```

* ETag 기반 버전 관리는 지원되지 않습니다
